<%@ page contentType="text/html;charset=GBK" %>
<html>
<head>
<title>文件上传处理页面</title>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
</head>

<body>
<jsp:useBean id="su" scope="page" class="com.jspsmart.upload.SmartUpload" />
<%
	// 上传初始化
	su.initialize(pageContext);
	// 设定上传限制
	// 限制每个上传文件的最大长度。
	// su.setMaxFileSize(10000);
	// 限制总上传数据的长度。
	// su.setTotalMaxFileSize(20000);
	// 设定允许上传的文件（通过扩展名限制）,仅允许doc,txt文件。
	// su.setAllowedFilesList("doc,txt");
	// 设定禁止上传的文件（通过扩展名限制）,禁止上传带有exe,bat,jsp,htm,html扩展名的文件和没有扩展名的文件。
	// su.setDeniedFilesList("exe,bat,jsp,htm,html,,");
	// 上传文件
	su.upload();
	// 将上传文件全部保存到指定目录
	int count = su.save("/upload", su.SAVE_VIRTUAL);
	out.println(count+"个文件上传成功！<br>");
	
	// 逐一提取上传文件信息，同时可保存文件。
	for (int i=0;i<su.getFiles().getCount();i++)
	{
		com.jspsmart.upload.File file = su.getFiles().getFile(i);
		
		// 若文件不存在则继续
		if (file.isMissing()) continue;

		// 显示当前文件信息
		//out.println("<br>文件长度" + file.getSize());
		out.println("<br>文件名：" + file.getFileName()+"　长度："+file.getSize());
	}
%>
</body>
</html>
